/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */
package kelp.wireless.presentation;

// XMLC
import org.enhydra.xml.xmlc.XMLCUtil;
// DOM
import org.w3c.dom.Element;
// Servlet
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
// Standard
import java.io.IOException;
import java.io.PrintWriter;

public class WelcomeServlet extends HttpServlet {

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        ServletOutputStream out;
        WelcomeWML welcome;
        byte[] buffer;
        welcome = createWelcomePage(request);
        buffer = welcome.toDocument().getBytes();
        response.setContentType( "text/vnd.wap.wml" );
        response.setContentLength( buffer.length );
        out = response.getOutputStream();
        out.write(buffer);
        out.flush();
    }

    WelcomeWML createWelcomePage(HttpServletRequest request) {
        WelcomeWML welcome = new WelcomeWML();
        Element element = welcome.getElementGreeting();
        String lang = "EN";
        lang = request.getParameter("lang");
        String greeting = "Hello";
        if (lang == null) {
          // keep default
        } else if (lang.equalsIgnoreCase("HI")) {
           greeting = "Aloha";
        } else if (lang.equalsIgnoreCase("FR")) {
           greeting = "Bon Jour";
        }
        XMLCUtil.getFirstText(element).setData(greeting);
        return welcome;
    }
}
