/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.kelp.common.node;

import java.io.File;

/**
 * Interface declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public interface OtterNode {
   public final String XMLC_OPTION_FILENAME = "enhydra.xmlc.optionFile";
   public final String XMLC_PARAMETERS      = "enhydra.xmlc.parameters";

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public String getFilePath();

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public char getFileSeparatorChar();

    /**
     * Method declaration
     *
     *
     * @param property
     *
     * @return
     *
     * @see
     */
    abstract public String getProperty(String property);

    /**
     * Method declaration
     *
     *
     * @param property
     * @param value
     *
     * @see
     */
    abstract public void setProperty(String property, String value);
    abstract public void setProperty(String property, int value);

    /**
     * Method declaration
     *
     *
     * @param javaSource
     *
     * @see
     */
    abstract public Object getNativeNode();

    /**
     * Method declaration
     *
     *
     * @param o
     *
     * @see
     */
    abstract public void setNativeNode(Object o);

    abstract public OtterProject getProject();
    abstract public OtterNode getParent();
    abstract public String getXMLCOptionFilename();
    abstract public void setXMLCOptionFilename(String n);
    abstract public String getXMLCParameters();
    abstract public void setXMLCParameters(String p);

}

