/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id$
 */
package org.enhydra.kelp.common.wizard.conf;
import org.enhydra.kelp.common.wizard.AbstractPropertyPanel;
import org.enhydra.kelp.common.node.OtterProject;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.beans.*;
import java.awt.event.*;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class ConfPropertyPanel extends AbstractPropertyPanel {
    private boolean               active = false;
    private BorderLayout          layoutMain;
    private JTabbedPane           tabPane;
    private ConfNodePropertyPanel confNodePropertyPanel;
    private StartupPropertyPanel  startupPropertyPanel;
    private LocalButtonListener   buttonListener = null;
    private OtterProject          project = null;
    private JCheckBox             checkMake;
    private ResourcePanel         resourcePanel;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public ConfPropertyPanel() {
        try {
            jbInit();
            pmInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public OtterProject getProject() {
        return project;
    }

    /**
     * Method declaration
     *
     *
     * @param p
     *
     * @see
     */
    public void setProject(OtterProject p) {
        project = p;
        confNodePropertyPanel.setNode(project);
        startupPropertyPanel.setNode(project);
        resourcePanel.setProject(project);
    }

    public void readProperties() {
        if (project.isOpenBuild()) {
            // primetime
            checkMake.setEnabled(true);
            checkMake.setSelected(project.isConfMake());
        } else {
            // Win32 and JDeveloper
            checkMake.setEnabled(false);
            checkMake.setSelected(false);
        }
        confNodePropertyPanel.readProperties();
        startupPropertyPanel.readProperties();
        resourcePanel.readProperties();
    }

    public void writeProperties() {
        if (project != null) {
          if (project.isOpenBuild()) {
              // primetime
              project.setConfMake(checkMake.isSelected());
          } else {
              project.setConfMake(false);
          }
          confNodePropertyPanel.writeProperties();
          startupPropertyPanel.writeProperties();
          resourcePanel.writeProperties();
      }
    }

    /**
     * Method declaration
     *
     *
     * @see
     */
    private void pmInit() {}

    /**
     * Method declaration
     *
     *
     * @throws Exception
     *
     * @see
     */
    private void jbInit() throws Exception {
        layoutMain =
            (BorderLayout) Beans.instantiate(getClass().getClassLoader(),
                                             BorderLayout.class.getName());
        checkMake = (JCheckBox) Beans.instantiate(getClass().getClassLoader(),
                                                  JCheckBox.class.getName());
        confNodePropertyPanel =
            (ConfNodePropertyPanel) Beans.instantiate(getClass().getClassLoader(),
                ConfNodePropertyPanel.class.getName());
        startupPropertyPanel =
            (StartupPropertyPanel) Beans.instantiate(getClass().getClassLoader(),
                StartupPropertyPanel.class.getName());
        resourcePanel =
            (ResourcePanel) Beans.instantiate(getClass().getClassLoader(),
                                              ResourcePanel.class.getName());
        tabPane =
            (JTabbedPane) Beans.instantiate(getClass().getClassLoader(),
                                            JTabbedPane.class.getName());
        tabPane.add(confNodePropertyPanel, "Templates");
        tabPane.add(startupPropertyPanel, "Startup");
        tabPane.add(resourcePanel, "Resources");
        checkMake.setEnabled(false);
        checkMake.setText("Process templates and configure startup during Make/Rebuild");
        this.setLayout(layoutMain);
        this.add(checkMake, BorderLayout.NORTH);
        this.add(tabPane, BorderLayout.CENTER);
    }

    class LocalButtonListener implements ActionListener {
        public void actionPerformed(ActionEvent event) {
            Object source = event.getSource();
        }

    }
}
