/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.kelp.jbuilder.node;

import org.enhydra.kelp.common.node.OtterImageFileNode;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import com.borland.primetime.vfs.Url;
import com.borland.primetime.node.DuplicateNodeException;
import com.borland.primetime.node.Project;
import com.borland.primetime.node.Node;
import com.borland.primetime.node.ImageFileNode;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class PrimeImageFileNode extends PrimeNode
    implements OtterImageFileNode {
    public PrimeImageFileNode(ImageFileNode nativeNode) {
      super(nativeNode);
    }

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @see
     */
    public PrimeImageFileNode(OtterProject otterProject, OtterNode otterNode,
			      String file) {
	Project       nativeProject = null;
	Node	      nativeNode = null;
	ImageFileNode nativeImageFile = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	if (otterNode.getNativeNode() instanceof Node) {
	    nativeNode = (Node) otterNode.getNativeNode();
	}

	if (nativeProject != null && nativeNode != null) {
	    try {
		nativeImageFile = new ImageFileNode(nativeProject,
						    nativeNode,
						    new Url(new File(file)));
	    } catch (DuplicateNodeException e) {
		System.err.println(e);
		System.err.println(file + " already in project.");
	    }
	}

	setNativeNode(nativeImageFile);
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

