/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.kelp.jdeveloper.node;

import org.enhydra.kelp.common.node.OtterJavaFileNode;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import borland.jbuilder.addin.Node;
import borland.jbuilder.addin.Project;
import borland.jbuilder.addin.Url;
import borland.jbuilder.addin.Container;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class OracleJavaFileNode extends OracleNode implements OtterJavaFileNode {

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @see
     */
    public OracleJavaFileNode(OtterProject otterProject, OtterNode otterNode,
			   String file) {
	Node      nativeNode = null;
	Project   nativeProject = null;
	Container container = null;
	Url       url = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	if (otterNode.getNativeNode() instanceof Container) {
	    container = (Container) otterNode.getNativeNode();
	}

	// Unable to add to a Folder at this time so allways
	// add to the project.
	if (nativeProject != null && container != null) {
	    url = new Url(Url.LATTE_JAVA_SCHEME + file);
	    nativeNode = nativeProject.createNode(url, true);

	    nativeProject.addNode(nativeNode);
	    setNativeNode(nativeNode);
	}
    }

}
