/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id$
 */

package org.enhydra.kelp.jdeveloper.wizard.en3wml;

// Kelp imports
import org.enhydra.kelp.common.wizard.codegen.Enhydra3WirelessAppUtil;
import org.enhydra.kelp.common.wizard.codegen.CodeGenUtil;
import org.enhydra.kelp.common.wizard.codegen.CodeGenException;
import org.enhydra.kelp.jdeveloper.wizard.AbstractCodeGenWizard;

// JDeveloper imports
import borland.jbuilder.addin.Context;
import borland.jbuilder.addin.IdeEnvironment;

// Standard imports
import javax.swing.JOptionPane;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class Enhydra3WirelessAppWizard extends AbstractCodeGenWizard {
    public String getDisplayName() {
      return Enhydra3WirelessAppUtil.getDisplayName();
    }

    /**
     * Method declaration
     *
     *
     * @param ide
     * @param context
     *
     * @see
     */
    public void invoke(IdeEnvironment ide, Context context) {
       CodeGenUtil util = null;
       if (isJava2(ide)) {
           try {
             util = new Enhydra3WirelessAppUtil();
             super.invoke(ide, context, util);
           } catch (CodeGenException e) {
               JOptionPane.showMessageDialog(ide.getIdeFrame(),
                                             e.getMessage());
           }
       }
    }

    public String[] getSteps() {
        String[] steps = new String[5];
        steps[0] =
            "From the menu select Wizards | XMLC Compiler and click on Compile "
            + "to compile the Welcome.wml file into a DOM class.";
        steps[1] =
            "Use Ctrl-F9 to make the project.";
        steps[2] =
          "Deploy the project by selecting Wizards | Local Deployment. " +
          "Click on Deploy to process the configuration templates.";
        steps[3] =
            "Select the StartMultiServer.java program and press F9 launch the server.<BR>";
        steps[4] = "From your wireless device emulator enter: <BR>" +
                  "<code>http://localhost:9000/</code><BR>";
        return steps;
    }

}
